pydo.reserved_ips_actions.post()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.reserved_ips_actions.post(
    reserved_ip="45.55.96.47",
    body={
        "type": "assign",
        "droplet_id": 758604968,
    },
)
Returns JSONRaises HttpResponseError

Description

To initiate an action on a reserved IP send a POST request to /v2/reserved_ips/{reserved_ip}/actions. In the JSON body to the request, set the type attribute to on of the supported action types:

Action Details
assign Assigns a reserved IP to a Droplet
unassign Unassign a reserved IP from a Droplet

Parameters

reserved_ip string required

A reserved IP address.

Min: 1

type string required

The type of action to initiate for the reserved IP.

One of: assign, unassign

droplet_id integer optional

Example: 758604968

The ID of the Droplet that the reserved IP will be assigned to.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req={
  "type": "unassign"
}

resp = client.reserved_ips_actions.post(reserved_ip="49.32.13.21", body=req)

Response Example

Show Response Example
{
  "action": {
    "id": 72531856,
    "status": "completed",
    "type": "assign_ip",
    "started_at": "2015-11-12T17:51:03Z",
    "completed_at": "2015-11-12T17:51:14Z",
    "resource_id": 758604968,
    "resource_type": "reserved_ip",
    "region": {
      "name": "New York 3",
      "slug": "nyc3",
      "sizes": [
        "s-1vcpu-1gb",
        "s-1vcpu-2gb",
        "s-1vcpu-3gb",
        "s-2vcpu-2gb",
        "s-3vcpu-1gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-24vcpu-128gb",
        "s-32vcpu-192gb"
      ],
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata"
      ],
      "available": true
    },
    "region_slug": "nyc3",
    "project_id": "746c6152-2fa2-11ed-92d3-27aaa54e4988"
  }
}

More Information

See /v2/reserved_ips/{reserved_ip}/actions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.